### Method

# Gtk Accessible update_relation_value

#### Declaration [src]

    void
    gtk_accessible_update_relation_value (
      GtkAccessible* self,
      int n_relations,
      GtkAccessibleRelation* relations,
      const GValue* values
    )

#### Description [src]

Updates an array of accessible relations.

This function should be called by `GtkWidget` types whenever an accessible relation change must be communicated to assistive technologies.

This function is meant to be used by language bindings.

This method is renamed to `gtk_accessible_update_relation()` in language bindings.

#### Parameters

`n_relations`

  Type: `int`

  The number of accessible relations to set.

`relations`

  Type: An array of `GtkAccessibleRelation`

  An array of `GtkAccessibleRelation`.

  The length of the array is specified in the `n_relations` argument.
  The data is owned by the caller of the method.

`values`

  Type: An array of `GValue`

  An array of `GValues`, one for each relation.

  The length of the array is specified in the `n_relations` argument.
  The data is owned by the caller of the method.